<?php
// Setup script for PKPass
require_once __DIR__ . '/../includes/functions.php';

// Create assets/pass_images directory if it doesn't exist
$passImagesDir = __DIR__ . '/../assets/pass_images';
if (!file_exists($passImagesDir)) {
    if (!mkdir($passImagesDir, 0755, true)) {
        die("Failed to create directory: $passImagesDir");
    }
    echo "Created directory: $passImagesDir<br>";
}

// Generate default pass images
generateDefaultPassImages();
echo "Generated default pass images in $passImagesDir<br>";

echo "<p>Setup completed successfully! <a href='javascript:history.back()'>Go back</a></p>";
?> 